diff --git a/backend/drm/backend.c b/backend/drm/backend.c
index 8a10a51e45..a58af02c05 100644
--- a/backend/drm/backend.c
+++ b/backend/drm/backend.c
@@ -93,7 +93,7 @@ static void session_signal(struct wl_listener *listener, void *data) {
 
 		struct wlr_drm_connector *conn;
 		wl_list_for_each(conn, &drm->outputs, link){
-			if (conn->output.enabled) {
+			if (conn->output.enabled && conn->output.current_mode != NULL) {
 				drm_connector_set_mode(&conn->output,
 						conn->output.current_mode);
 			} else {
diff --git a/backend/drm/drm.c b/backend/drm/drm.c
index 5e7369fdd9..988b32cb22 100644
--- a/backend/drm/drm.c
+++ b/backend/drm/drm.c
@@ -1394,6 +1394,8 @@ void scan_drm_connectors(struct wlr_drm_backend *drm) {
 					wlr_conn->output.name);
 			}
 
+			// TODO: this results in connectors being enabled without a mode
+			// set
 			wlr_output_update_enabled(&wlr_conn->output, wlr_conn->crtc != NULL);
 			wlr_conn->desired_enabled = true;
 
